-------------------------------------------------------------
local array = include( "modules/array" )
local util = include( "modules/util" )
local cdefs = include( "client_defs" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local speechdefs = include("sim/speechdefs")
local abilityutil = include( "sim/abilities/abilityutil" )
local useInvisiCloak = include( "sim/abilities/useInvisiCloak" )
local inventory = include("sim/inventory")

local sombra_useInvisiCloak = util.extend( useInvisiCloak )
	{
		name = STRINGS.ABILITIES.STIM,

		executeAbility = function( self, sim, unit )
			local userUnit = unit:getUnitOwner()

			userUnit:getTraits().mp = userUnit:getTraits().mp + unit:getTraits().mpRestored	
			
			useInvisiCloak:executeAbility( sim, unit )
			
		end,
	}
return sombra_useInvisiCloak
