local util = include( "modules/util" )
local simdefs = include( "sim/simdefs" )
local commondefs = include("sim/unitdefs/commondefs")
local tool_templates = include("sim/unitdefs/itemdefs")

-------------------------------------------------------------
--


local MAINFRAME_TRAITS = commondefs.MAINFRAME_TRAITS
local SAFE_TRAITS = commondefs.SAFE_TRAITS
local onMainframeTooltip = commondefs.onMainframeTooltip
local onSoundBugTooltip = commondefs.onSoundBugTooltip
local onBeamTooltip = commondefs.onBeamTooltip
local onConsoleTooltip = commondefs.onConsoleTooltip
local onStoreTooltip = commondefs.onStoreTooltip
local onDeviceTooltip = commondefs.onDeviceTooltip
local onSafeTooltip = commondefs.onSafeTooltip 

local prop_templates =
{

	smoke_cloud_widow =
    {
        type = "smoke_cloud_poison",
        name = STRINGS.PROPS.SMOKE,
        rig = "smokerig",
        kanim = "kanim_smoke_plume",
        traits = { radius = 0, lifetime = 1, noghost = true, gasColor = {r=167/255,g=237/255,b=18/255}, venom = true,  },    
     },
		smoke_edge_widow =
	{
		type = "simunit",
		name = STRINGS.PROPS.SMOKE_EDGE,
        rig = "",
		traits = { smokeEdge = true, sightable = false, noghost = true },
	},
}


return prop_templates
